import Router from "./router.js";
import Tpl from "./template.js";
import { Request, Handler } from "./types.js";
export { Router, Tpl, Request, Handler };
export default class Flummpress {
    private server?;
    router: Router;
    tpl: Tpl;
    middleware: Handler[];
    constructor();
    use(plugin: Router | Tpl | Handler): this;
    private processPipeline;
    listen(...args: any[]): this;
    private parseRequest;
    private readBody;
    private createResponse;
}
